org.jboss.jca.common.metadata

## Class MetadataFactory

- java.lang.Object
- - org.jboss.jca.common.metadata.MetadataFactory

-     public class MetadataFactory
      extends java.lang.Object

  A MetadataFactory.
  Author:
    Stefano Maestri

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataFactory()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.jca.common.api.metadata.resourceadapter.Activation` | `getIronJacamarMetaData(java.io.File root)` Get the JBoss specific metadata
    `org.jboss.jca.common.api.metadata.spec.Connector` | `getStandardMetaData(java.io.File root)` Get the JCA standard metadata

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetadataFactory

          public MetadataFactory()

      Constructor

  - ### Method Detail

    - #### getStandardMetaData

          public org.jboss.jca.common.api.metadata.spec.Connector getStandardMetaData(java.io.File root)
                                                                               throws java.lang.Exception

      Get the JCA standard metadata
      Parameters:
        `root` - The root of the deployment
      Returns:
        The metadata
      Throws:
        `java.lang.Exception` - Thrown if an error occurs

    - #### getIronJacamarMetaData

          public org.jboss.jca.common.api.metadata.resourceadapter.Activation getIronJacamarMetaData(java.io.File root)
                                                                                              throws java.lang.Exception

      Get the JBoss specific metadata
      Parameters:
        `root` - The root of the deployment
      Returns:
        The metadata
      Throws:
        `java.lang.Exception` - Thrown if an error occurs

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)